/* This file is part of X2C. http://www.mechatronic-simulation.org/                                                   */

#include "system_definitions.h"
#include "X2C.h"
#include "PortConfigX2C.h"

#define SET_LED1    (SYS_PORTS_PinSet(PORTS_ID_0, PORT_CHANNEL_H, PORTS_BIT_POS_0))
#define CLEAR_LED1  (SYS_PORTS_PinClear(PORTS_ID_0, PORT_CHANNEL_H, PORTS_BIT_POS_0))
#define SET_LED2    (SYS_PORTS_PinSet(PORTS_ID_0, PORT_CHANNEL_H, PORTS_BIT_POS_1))
#define CLEAR_LED2  (SYS_PORTS_PinClear(PORTS_ID_0, PORT_CHANNEL_H, PORTS_BIT_POS_1))
#define SET_LED3    (SYS_PORTS_PinSet(PORTS_ID_0, PORT_CHANNEL_H, PORTS_BIT_POS_2))
#define CLEAR_LED3  (SYS_PORTS_PinClear(PORTS_ID_0, PORT_CHANNEL_H, PORTS_BIT_POS_2))

#define SWITCH_SW1  (SYS_PORTS_PinRead(PORTS_ID_0, PORT_CHANNEL_B, PORTS_BIT_POS_12))

void readInports(void)
{
    if (SWITCH_SW1 != 0)
    {
        Inports.SW1 = 0;
    }
    else
    {
        Inports.SW1 = INT16_MAX;
    }
}

void writeOutports(void)
{
    /* LEDs */
    if (*Outports.pLED1 != 0)
    {
        SET_LED1;
    }
    else
    {
        CLEAR_LED1;
    }
    if (*Outports.pLED2 != 0)
    {
        SET_LED2; 
    }
    else
    {
        CLEAR_LED2;
    }
    if (*Outports.pLED3 != 0)
    {
        SET_LED3;
    }
    else
    {
        CLEAR_LED3;
    }
}
