/* This file is part of X2C. http://www.mechatronic-simulation.org/                                                   */

/* Model: DemoApplication                                                                                             */
/* Date:  2016-02-19 13:53                                                                                            */

/* X2C-Version: local/no build-server build                                                                           */

#ifndef __X2C_H__
#define __X2C_H__

/**********************************************************************************************************************/
/**     Includes                                                                                                     **/
/**********************************************************************************************************************/
#include "Constant_FiP16.h"
#include "Sin3Gen_FiP16.h"
#include "SinGen_FiP16.h"
#include "AutoSwitch_FiP16.h"
#include "I_FiP16.h"
#include "Constant_FiP8.h"
#include "Negation_FiP16.h"
#include "Delay_FiP16.h"
#include "Scope_Main.h"
#include "CommonFcts.h"

/**********************************************************************************************************************/
/**     Defines                                                                                                      **/
/**********************************************************************************************************************/
#define FUNCTIONS CONSTANT_FIP16_FUNCTIONS , \
                  SIN3GEN_FIP16_FUNCTIONS , \
                  SINGEN_FIP16_FUNCTIONS , \
                  AUTOSWITCH_FIP16_FUNCTIONS , \
                  I_FIP16_FUNCTIONS , \
                  CONSTANT_FIP8_FUNCTIONS , \
                  NEGATION_FIP16_FUNCTIONS , \
                  DELAY_FIP16_FUNCTIONS , \
                  SCOPE_MAIN_FUNCTIONS 

#define PARAMETER_TABLE { (uint16)1, &TAmplitude } , \
                        { (uint16)2, &TAutoSwitch } , \
                        { (uint16)3, &TFrequency } , \
                        { (uint16)4, &TLED_off } , \
                        { (uint16)5, &TLED_on } , \
                        { (uint16)6, &TOscillator__AutoSwitch_001 } , \
                        { (uint16)7, &TOscillator__C1_001 } , \
                        { (uint16)8, &TOscillator__C_enable_001 } , \
                        { (uint16)9, &TOscillator__C_init_001 } , \
                        { (uint16)10, &TOscillator__Delay_001 } , \
                        { (uint16)11, &TOscillator__I_001 } , \
                        { (uint16)12, &TOscillator__Negation_001 } , \
                        { (uint16)13, &TSin3Gen } , \
                        { (uint16)14, &TSinGen } , \
                        { (uint16)15, &TScope } , \
                        { (uint16)16, &Inports.SW1 } , \
                        { (uint16)17, &Outports.pLED1 } , \
                        { (uint16)18, &Outports.pLED2 } , \
                        { (uint16)19, &Outports.pLED3 } 

/**********************************************************************************************************************/
/**     Typdefs                                                                                                      **/
/**********************************************************************************************************************/

/* Inport structure                                                                                                   */
typedef struct 
{
    int16 SW1;
} TInports;

/* Outport structure                                                                                                  */
typedef struct 
{
    int16* pLED1;
    int16* pLED2;
    int16* pLED3;
} TOutports;

/**********************************************************************************************************************/
/**     Externals                                                                                                    **/
/**********************************************************************************************************************/
extern TInports Inports;
extern TOutports Outports;
extern const tBlockFunctions blockFunctionTable[];
extern const tParameterTable parameterIdTable[];


/**********************************************************************************************************************/
/**     Prototypes                                                                                                   **/
/**********************************************************************************************************************/
void X2C_Init(void);
void X2C_Update(void);
void X2C_Update_1(void);


#endif
